{ lib
, stdenv
, buildGoModule
, fetchFromGitHub
, ffmpeg
}:

buildGoModule {
  pname = "trainbot";
  version = "unstable-2023-05-04";

  src = fetchFromGitHub {
    owner = "jo-m";
    repo = "trainbot";
    rev = "70cfe6aea483dc8c9936a006efe3c0b3ed271209";
    sha256 = "sha256-T6IrSfRiEQJ4mUdsvBpp+9Q6hb74eRnphxDTXH9ui0k=";
  };

  checkInputs = [ ffmpeg ];
  doCheck = stdenv.isx86_64;

  vendorHash = "sha256-DphXCfPW4w0aGI1e3aKQ9pDAMJ8wioPCDqRUR5gJ+Q4=";
}
